Subject: Re: [PATCH] b44: power down PHY when interface down

From: Arjan van de Ven <[email-masked]>
Date: Sat, 30 Jun 2007 07:44:59 -0700

Matthew Garrett wrote:
> On Sat, Jun 30, 2007 at 02:47:35PM +0300, Török Edvin wrote:
>> When the interface is down (or driver removed), the BroadCom 44xx card 
>> remains
>> powered on, and both its MAC and PHY is using up power.
>> This patch makes the driver issue a MAC_CTRL_PHY_PDOWN when the interface
>> is halted, and does a partial chip reset turns off the activity LEDs too.
> 
> Do you still get link beat detection when the phy is powered down?
> 
does that matter?
If the interface is down, nic drivers aren't expected to detect 
link... if userspace wants to find link status it should have the 
interface up.